---
title: "Disable campaign limits"
type: reference
method: DELETE
path: /rest-api/campaign/{campaignId}/limits.do
tag: "Limits"
---

# Disable campaign limits

`DELETE https://YOUR-NETWORK-DOMAIN/rest-api/campaign/{campaignId}/limits.do`

Permanently disables and deletes all limit settings for the specified campaign, including all threshold values and current counters. After this operation, the campaign will have no impression, click, conversion, or budget limits and ad serving will be uncapped for this campaign. If the campaign already has no limits enabled, this operation is a no-op and returns success. Requires UPDATE permission on the campaign's parent advertiser and the MANAGE_CAPPING_AND_LIMITATIONS user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `campaignId` | integer | yes | `2001` | Unique numeric identifier of the campaign whose limits should be disabled and removed |

## Responses

- `200` — Campaign limits disabled successfully
- `400` — Campaign not found
- `401` — Authentication error
- `403` — Not enough permissions
- `404` — Not found — resource does not exist

## Example request

```bash
curl --request DELETE \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/campaign/2001/limits.do' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/limits/delete-campaign-limits